#
# spec file for package python-encore
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-encore
Version:        0.6.0
Release:        1.1
Summary:        A collection of core-level utility modules for Python
Group:          Development/Libraries/Python
# Source code is under BSD but images are under different licenses
# and details are inside image_LICENSE.txt
License:        LGPL-2.1 and Apache-2.0
URL:            https://github.com/enthought/encore
Source:         https://pypi.python.org/packages/source/e/encore/encore-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-devel >= 2.6
BuildRequires:  python-Sphinx
BuildRequires:  python-pygraphviz
BuildRequires:  python-pydot
%if 0%{?suse_version} <= 1110
%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%else
BuildArch:      noarch
%py_requires
%endif

%description
This package consists of a collection of core utility packages useful for
building Python applications.  This package is intended to be at the
bottom of the software stack and have zero required external dependencies
aside from the Python Standard Library.

Part of the Enthought Tool Suite (ETS).

%prep
%setup -q -n encore-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes -s %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.txt LICENSE.txt 
%{python_sitelib}/encore/
%{python_sitelib}/encore-%{version}-py*.egg-info/

%changelog
* Sun May 24 2015 toddrme2178@gmail.com
- Update to 0.6.0
  + New Features
  * Added `MountedStore` store subclass. (PR#75)
  * Added `concurrent.threadtools` module and `synchronized`
    decorator. (PR #91)
  * Added the ability to request ranges of data from store
    values. (PR#76)
  + Improvements
  * Improved `get_data()` calls for `DynamicURLStore`
    instances. (PR#90)
  * `DynamicURLStore` now accepts `401` return codes to
    indicate unauthorised keys. (PR#88)
  * `DynamicURLStore` now implements `delete()` via sending an
    HTTP DELETE to the appropriate URL. (PR#87)
  * `DynamicURLStore` uses streaming to send data. (PR#82)
  * Refuse server-side compression for the `DynamicURLStore`.
    (PR#82)
  + Fixes
  * Fix attribute collision with futures 2.2.0. (PR#94)
  * Fix race condition in file store. (PR#83)
  * Various other minor fixes.
* Mon Oct 13 2014 toddrme2178@gmail.com
- Update to 0.5.1
  * no changelog
- Update source to pypi url.
* Sat Apr 20 2013 toddrme2178@gmail.com
- Added a note about being part of the Enthought Tool Suite (ETS).
* Thu Apr 18 2013 toddrme2178@gmail.com
- Update to 0.3
  * no changelog
* Tue May 22 2012 toddrme2178@gmail.com
- Initial spec file
